Skip to main content
GET
List an application deployment's restore points

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string
required

The application's id.

deployment_id
string<uuid>
required

The application deployment.

Query Parameters

limit
integer

Page size.

Required range: x >= 1
status
enum<string>[]

Only these statuses (repeatable or comma separated).

Available options:
creating,
complete,
failed,
expiring,
expired,
deleted
trigger
enum<string>[]

Only these triggers (repeatable or comma separated).

Available options:
manual,
scheduled,
clone,
migrate,
pre_restore,
verification
backup_vault_id
string<uuid>

Only restore points in this vault.

cursor
string

next_cursor from the previous page.

Response

A page of restore points.

A keyset page. NextCursor is null when the page was the last one.

restore_points
object[]
required
next_cursor
string | null
required